From b14e95a836733c7752168517dd3c1e58e96b8eae Mon Sep 17 00:00:00 2001
From: Philip Cali <philip.cali@gmail.com>
Date: Wed, 14 Dec 2011 14:19:57 -0600
Subject: Include parent in weighted check

---
 lib/grade/grade_category.php |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/grade/grade_category.php b/lib/grade/grade_category.php
index f7b8dfe..1f82641 100644
--- a/lib/grade/grade_category.php
+++ b/lib/grade/grade_category.php
@@ -695,7 +695,7 @@ class grade_category extends grade_object {
                     if ($coef == 0) {
                         continue;
                     } else if ($coef < 0) {
-                        $extrasum += ($grade_value / (100 / $items[$itemid]->grademax));
+                        $extrasum += ($grade_value / ($this->grade_item->grademax / $items[$itemid]->grademax));
                     } else {
                         $weightsum += $coef;
                         $sum       += $coef * $grade_value;
-- 
1.7.1


